%global momorel 1
%global realname css-mode
%global md5sum_src0 0a1fc1262a3871ff9d5906f7795ee237
%global emacsver 22.0.50
%global e_sitedir %{_datadir}/emacs/site-lisp

Summary: CSS edit mode for Emacs.
Name:    elisp-%{realname}
Version: 0.11
Release: %{momorel}m
License: GPL
Group:   Applications/Editors
%NoSource 0 http://www.garshol.priv.no/download/software/%{realname}/%{realname}.el %{md5sum_src0}
Patch: css-mode-custom.patch
URL: http://www.garshol.priv.no/download/software/%{realname}/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
BuildPreReq: c-comment-edit-emacs
Requires: emacsen
Requires: c-comment-edit-emacs

%description
CSS edit mode for Emacs.

%package -n %{realname}-emacs
Group:    Applications/Editors
Summary:  CSS edit mode for Emacs.
Requires: emacs >= %{emacsver}

%description -n %{realname}-emacs
CSS edit mode for Emacs.

%prep
%{__rm} -rf %{buildroot}

%setup -qTc
%__cp %{S:0} .
%patch -p0 -b .custom

%build
emacs -q -batch -f batch-byte-compile %{realname}.el

%install
%{__rm} -rf %{buildroot}
%__mkdir -p -m 0755 %{buildroot}/%{e_sitedir}/%{realname}
%__install -m 0644 %{realname}.el %{buildroot}/%{e_sitedir}/%{realname}/%{realname}.el
%__install -m 0644 %{realname}.elc %{buildroot}/%{e_sitedir}/%{realname}/%{realname}.elc

%clean
%{__rm} -rf %{buildroot}

%files -n %{realname}-emacs
%defattr(-, root,root)
%dir %{e_sitedir}/%{realname}
%{e_sitedir}/%{realname}/%{realname}.el*

%changelog
* Sat Dec 24 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.11-1m)
- Initial specfile